API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrumentGETSearch bonds

Market Data

POSTGet quotesGETGet bond detailsPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote
HelpFeedback
Instrument Details

Get all instruments

Retrieve all trading instruments

Retrieves all available trading instruments with optional filtering capabilities. This endpoint returns a comprehensive list of instruments available for trading, with support for filtering by security type and various trading capabilities. All filter parameters are optional and can be combined to narrow down results.

GET/userapigateway/trading/instruments

Parameters

Query Parameters

array

Optional set of security types to filter by

array

Optional set of trading statuses to filter by

array

Optional set of fractional trading statuses to filter by

array

Optional set of option trading statuses to filter by

array

Optional set of option spread trading statuses to filter by

Parameters

NameTypeRequiredDescription
typeFilterarrayEQUITYOPTIONMULTI_LEG_INSTRUMENTCRYPTOALTTREASURYBONDINDEXNoOptional set of security types to filter by
tradingFilterarrayBUY_AND_SELLLIQUIDATION_ONLYDISABLEDNoOptional set of trading statuses to filter by
fractionalTradingFilterarrayBUY_AND_SELLLIQUIDATION_ONLYDISABLEDNoOptional set of fractional trading statuses to filter by
optionTradingFilterarrayBUY_AND_SELLLIQUIDATION_ONLYDISABLEDNoOptional set of option trading statuses to filter by
optionSpreadTradingFilterarrayBUY_AND_SELLLIQUIDATION_ONLYDISABLEDNoOptional set of option spread trading statuses to filter by

Body

application/json

No request body defined

Responses

Response

200
application/json
instrumentsobject[]
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "instruments": [
    {
      "instrument": {
        "symbol": "string",
        "type": "EQUITY"
      },
      "trading": "BUY_AND_SELL",
      "fractionalTrading": "BUY_AND_SELL",
      "optionTrading": "BUY_AND_SELL",
      "optionSpreadTrading": "BUY_AND_SELL",
      "instrumentDetails": null,
      "shortingAvailability": "NOT_SHORTABLE",
      "hardToBorrowPercentageRate": "string",
      "optionContractPriceIncrements": {
        "incrementBelow3": "string",
        "incrementAbove3": "string"
      },
      "exchange": "string",
      "exchangeName": "string"
    }
  ]
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more